# Note that this is NOT a relocatable package
%define ver      0.20.1
%define rel      2
%define prefix   /usr

Summary: GNOME core programs
Name: gnome-core
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/Libraries
Source: ftp://ftp.gnome.org/pub/gnome-core-0.13.tar.gz
Patch: gnome-core-rh5.1.patch
BuildRoot: /var/tmp/gnome-core-root
Obsoletes: gnome
URL: http://www.gnome.org
Prereq: /sbin/install-info
Docdir: %{prefix}/doc

%description
Basic programs and libraries that are virtually required for
any GNOME installation.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%changelog
* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt to use the static gnome-libs
- packaged for 5.2
- fixed filelist not to include /usr/share/*...

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-core CVS source tree

%prep
%setup -n gnome-core-0.13
%patch -p1

%build
CC=egcs
export CC
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/apps
%{prefix}/share/gnome
%{prefix}/share/locale/*/LC_MESSAGES/*

